Transactions & ReportingTransactions

Get a Transaction

GET
/v1/transactions/{id}

Authorization

authorization
AuthorizationBearer <token>

Set Your Secret API Key

In: header

Path Parameters

id*string

Query Parameters

format?string

Response format. Defaults to the standard Acme format.

Value in

  • "ACME"
  • "NETSUITE"

Response Body

*/*

application/json

application/json

curl -X GET "https://example.com/v1/transactions/string"
{
  "additionalInformation": "string",
  "amount": 0,
  "bankAccount": {
    "bank": "string",
    "bankAccountNumber": "string",
    "id": "string"
  },
  "bankReference": "string",
  "bookingDate": {
    "date": "string",
    "offset": "string",
    "time": "string",
    "tz": "string"
  },
  "counterparty": {
    "bank": "string",
    "bankAccountNumber": "string",
    "bankName": "string",
    "localRoutingIdentifier": "string",
    "name": "string"
  },
  "createdAt": "string",
  "currency": "string",
  "currencyExchange": {
    "exchangeRate": "string",
    "sourceCurrency": "string",
    "targetCurrency": "string"
  },
  "customerReference": "string",
  "dataSource": "string",
  "description": "string",
  "direction": "string",
  "id": "string",
  "remittanceInformation": "string",
  "statementId": "string",
  "transactionDate": "string",
  "transactionReferences": [
    {
      "dataSource": "string",
      "name": "string",
      "value": "string"
    }
  ],
  "transactionStatus": "string",
  "transactionType": "string",
  "updatedAt": "string",
  "virtualAccountNumber": "string"
}